Skip to main content

Deferred Sale with EMV Data


This section provides the information needed to process a deferred EMV chip contact sale.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {      "transactionId": "20000565",      "partner": {        "thirdPartyCertificationNumber": "BPCDRC220403"      }    },    "processingInformation": {      "industryDataType": "transit",      "commerceIndicator": "retail",      "capture": true,      "captureOptions": {        "dateToCapture": "0425"      },      "authorizationOptions": {        "deferredAuthIndicator": "true"      }    },    "orderInformation": {      "amountDetails": {        "totalAmount": "10.00",        "currency": "BRL"      },      "billTo": {        "address1": "R. Augusta Æ",        "address2": "ßloco 01",        "buildingNumber": "1024 Metrño4",        "locality": "Sáo Paulo",        "country": "BR",        "district": "Bela Vista Æ",        "administrativeArea": "SP",        "postalCode": "01310-000",        "email": "[email protected]",        "firstName": "Júlia",        "lastName": "Fernández",        "phoneNumber": "999-999-9999"      }    },    "paymentInformation": {      "card": {        "type": "001",        "expirationMonth": "12",        "expirationYear": "2026",        "number": "4xxxxxxxxxxx1111"      }    },    "pointOfSaleInformation": {      "terminalId": "12345678",      "catLevel": "2",      "entryMode": "contactless",      "terminalCapability": "5",      "terminalPinCapability": "0",      "emv": {        "tags": "5F2A0209768407A00000000310109F360200029F03060000000000009C01005F34010",        "cardSequenceNumber": "1"      },      "trackData": ";4xxxxxxxxxxx1111=241220119058254?"    }  }
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7696000118397001127451/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7696000118397001127451"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7696000118397001127451/captures"        }    },    "clientReferenceInformation": {        "code": "TC-Vero-2"    },    "id": "7696000118397001127451",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "1044.00",            "currency": "BRL"        }    },    "paymentAccountInformation": {        "card": {            "type": "002"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "002"        },        "card": {            "type": "002"        }    },    "pointOfSaleInformation": {        "terminalId": "11111111",        "emv": {            "tags": "9F03060000000000009F0206000000960100820220009F3901078407"        }    },    "processorInformation": {        "approvalCode": "800000",        "networkTransactionId": "345678901876",        "transactionId": "345678901876",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "7696000118397001127451",    "status": "AUTHORIZED",    "submitTimeUtc": "2026-01-28T11:33:38Z"}
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.buildingNumber
orderInformation.billTo.country
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
pointOfSaleInformation.catLevel
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryMode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.deferredAuthIndicator
processingInformation.capture
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicator
processingInformation.industryDataType

Last published: September 29, 2026